#!/bin/sh

echo "maxIterations 1000" > driver.in
echo "tolerance 1.e-10" >> driver.in
echo "restart 90" >> driver.in
echo "colScale false" >> driver.in
echo "rowScale false" >> driver.in
echo "polyType 2" >> driver.in
echo "polyOrder 2" >> driver.in
echo "STOP_TEST asdf" >> driver.in

seqDriver.x \
        -A e05r0500.mtx -b e05r0500.txt \
        -solver gmres -pc spai

# choose solver from these choices:
# qmr 
# qmr2
# gmres    ( use restart k for gmres(k) )
# fgmres   ( use restart k for fgmres(k) )
# defgmres ( use restart k for defgmres(k) )
# cg
# bicgstab
# cgs
# cgne
# cgnr 

# choose preconditioner from these choices
# identity
# diagonal
# polynomial
# spai
# polyjb (polynomial block jacobi)
# bj (block jacobi)
# cgne_bj (cgne block jacobi)
# cgne_diag (cgne diagonal)
# cgne_poly (cgne polynomial)
# cgnr_poly (cgnr polynomial)

